Create Application

The Create Application API can be used to create an application. An application must be for a loan product, must include a borrower and can optionally include an intermediary, up to 3 co-borrowers, labels and assigned team members.

An application should contain variables (i.e. data fields) based on your loan product configuration. Please note that tasks, documents, notes, integrations and decisions can be connected to applications using the other API methods.


We strongly recommend to send the date value in "MM/DD/YYYY" format to avoid any issues with date representation.

Please note that each row in a variable of type Table must contain a unique string _id field.

Body Params

Request Body

metadata
object

Optional associated metadata as a simple key→value map.

  • Keys are strings up to 40 characters long.
  • Values can be string, number, or boolean.
  • Up to 20 entries.
  • String values up to 500 characters.
string
required

Product ID

string

Status ID

required

Borrower ID

coBorrowers
array
required

Array of Co-Borrowers (can be id or create borrower object)

coBorrowers*

Intermediary (can be id or create intermediary object)

teamMembersIds
array of strings

Array of Team Member IDs

teamMembersIds
labelsIds
array of strings

Array of Label IDs

labelsIds
variables
object
required

A dynamic key-value store for custom variables associated with an application, borrower, intermediary

This field accepts flexible data types to accommodate diverse metadata:

  • Primitives: - Strings (e.g., "name") - Numbers (e.g., 123) - Booleans (e.g., true) - null to clear value from variable
  • Structured data: - Arrays for table variables - Objects for address variables

Note for ReadMe Testing: The ReadMe API Explorer form interface only supports primitive types (string, number, null) for manual input. To test array, object, boolean types, use direct API calls (e.g., cURL or Postman)

Headers
string
enum
Defaults to 2024-02-26
Allowed:
Responses

Language
Credentials
Header
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json